Create conversation
POST
Create a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field.
ApiKeyAuth conversation.replyheader
Authorization<token>Scope: conversation.reply
The conversation to create
application/json- body
requesterId*stringFormat
uuiddirection*stringvalues: [Inbound, Outbound]
contactEndpointId*stringqueueId*stringFormat
uuidThe id of the created conversation
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/conversations' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "requesterId": "9c2a2cce-699f-4a72-89d9-fda5bc8dec8b", "emailIntegrationId": "my-integration@email.dixa.io", "subject": "order #123", "message": { "content": { "value": "My order hasn'\''t shipped", "_type": "Text" }, "attachments": [], "_type": "Inbound" }, "language": "en", "_type": "Email"}'{}
"data": {}
"id": 100